android v4兼容包

一句话解释android兼容包就是:支持更多的组件,样式更好看了。好粗糙的解释啊!

我们都知道Android一些SDK比较分裂,为此google官方提供了Android Support Library package 系列的包来保证高版本sdk开发的向下兼容性, 所以你可能经常看到v4,v7,v13这些数字,首先我们就来理清楚这些数字的含义,以及它们之间的区别。

xamarin android support v4 兼容包

用在API lever 4(即Android 1.6)或者更高版本之上。它包含了相对更多的内容,而且用的更为广泛,例如:Fragment,NotificationCompat,LoadBroadcastManager,ViewPager,PageTabAtrip,Loader,FileProvider 等 

xamarin android support v7 兼容包

这个包是为了考虑API level 7(即Android 2.1)及以上版本而设计的,但是v7是要依赖v4这个包的,v7支持了Action Bar以及一些Theme的兼容。

xamarin android support v13 兼容包

这个包的设计是为了API level 13(即Android 3.2)及更高版本的,一般我们都不常用,平板开发中能用到,这里就不过多介绍了。

xamarin android的开发引入兼容包经常会报错?

我也是一步一步这样踩着坑过来的,以前看菜鸟的上的教程的时候,Activity继承AppCompatActivity,原来要引入v7兼容包,焦灼了半天。在nuget上引入兼容包之后又他妈的报错,

Please install package: 'Xamarin.Android.Support.v7.AppCompat' available in SDK installer. Java library file C:UserszhanglinAppDataLocalXamarinXamarin.Android.Support.v7.AppCompat23.4.0.0embeddedclasses.jar doesn't exist.

更清楚的点,看看是不是和你的一样错误:

处理这种错误第一办法就是用梯子,项目清理干净,obj 和bin目录删除,科学上网你懂就好了,这是谷歌的服务器啊,也是操蛋的很。
第二种办法就是:看清楚那蓝色背景的那一行,Download failed,Please download https://dl-ssl.google.com/android/repository/android_m2repository_r32.zip and put it to ................ ,在引入v4或者v7兼容包的时候,回去谷歌服务器下载android_m2repository资源包,所以就download failed 了。所以你要做的是

相关内容推荐